Bug 624485 - setup dsktune check step should default to "yes" if no problems found
Summary: setup dsktune check step should default to "yes" if no problems found
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.2.6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 639035 389_1.2.8
TreeView+ depends on / blocked
 
Reported: 2010-08-16 15:35 UTC by Gerhardus Geldenhuis
Modified: 2015-12-07 16:39 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-07 16:39:50 UTC


Attachments (Terms of Use)
0001-Bug-624485-setup-dsktune-check-step-should-default-t.patch (1.28 KB, patch)
2011-01-21 22:39 UTC, Rich Megginson
nhosoi: review+
Details | Diff
0001-Bug-624485-setup-dsktune-check-step-should-default-t.patch (12.24 KB, patch)
2011-01-24 16:16 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Gerhardus Geldenhuis 2010-08-16 15:35:30 UTC
Description of problem:
When running setup-ds-admin.pl it does not automatically select yes for the next step.

==============================================================================
Your system has been scanned for potential problems, missing patches,
etc.  The following output is a report of the items found that need to
be addressed before running this software in a production
environment.

389 Directory Server system tuning analysis version 10-AUGUST-2007.

NOTICE : System is x86_64-unknown-linux2.6.18-194.8.1.el5 (2 processors).

Would you like to continue? [no]: yes

==============================================================================

Version-Release number of selected component (if applicable):
[root@389-master02 ~]# rpm -q --whatprovides /usr/sbin/setup-ds-admin.pl 
389-admin-1.1.11-0.6.rc2.el5
[root@389-master02 ~]# rpm -qi 389-admin
Name        : 389-admin                    Relocations: (not relocatable)
Version     : 1.1.11                            Vendor: Fedora Project
Release     : 0.6.rc2.el5                   Build Date: Wed 04 Aug 2010 06:35:32 PM BST
Install Date: Mon 16 Aug 2010 11:33:26 AM BST      Build Host: x86-19.phx2.fedoraproject.org
Group       : System Environment/Daemons    Source RPM: 389-admin-1.1.11-0.6.rc2.el5.src.rpm
Size        : 1394347                          License: GPLv2 and ASL 2.0
Signature   : DSA/SHA1, Wed 04 Aug 2010 10:48:09 PM BST, Key ID 119cc036217521f6
Packager    : Fedora Project
URL         : http://port389.org/
Summary     : 389 Administration Server (admin)


How reproducible:
Time and again

Steps to Reproduce:
1. Run setup-ds-admin.pl
2.
3.
  
Actual results:


Expected results:
After settings and hardward evaluation I should be seeing:
Would you like to continue? [yes]:

Additional info:

Comment 3 Rich Megginson 2011-01-21 22:05:57 UTC
What about if there are warnings?  e.g.

WARNING: There are only 1024 file descriptors (hard limit) available, which
limit the number of simultaneous connections.  

WARNING: There are only 1024 file descriptors (soft limit) available, which
limit the number of simultaneous connections.  

In this case, should the default response be [no] or [yes]?

Comment 4 Rich Megginson 2011-01-21 22:39:32 UTC
Created attachment 474704 [details]
0001-Bug-624485-setup-dsktune-check-step-should-default-t.patch

Note: currently, dsktune will only exit with 1 if errors are found.  If only warnings and notices are found, it will exit with 0.

Comment 5 Rich Megginson 2011-01-21 22:50:33 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   466f679..f2a1d62  master -> master
commit f2a1d62458458ca9bbceb436642a6cbf2e30c322
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Jan 21 14:50:04 2011 -0700
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Check the result of the output of running dsktune - if
    success, set the default answer to yes, otherwise, to no.
    Platforms tested: RHEL6 x86_64
    Flag Day: no
    Doc impact: no

Comment 6 Gerhardus Geldenhuis 2011-01-22 11:28:40 UTC
It should defintely stop at warnings but not info.

Not enough file descriptors is a good enough reason to set the default option to no in my opinion as it can cause support issues later on when someone did not set them or forgot to do so.

Comment 7 Rich Megginson 2011-01-24 16:16:21 UTC
Created attachment 474979 [details]
0001-Bug-624485-setup-dsktune-check-step-should-default-t.patch

Comment 8 Rich Megginson 2011-01-24 20:06:04 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   07d9cb2..9f1160c  master -> master
commit 9f1160ce0732809b540a98549e21b9e64bcbae04
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Mon Jan 24 09:12:22 2011 -0700
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Additional change - if warnings are reported, exit 1 instea
    of 0, and print a message telling the user to review the warnings printed by
    the program.  This will have the effect of making setup default to No if
    warnings are reported.
    Platforms tested: RHEL6 x86_64
    Flag Day: no
    Doc impact: no

Comment 9 Noriko Hosoi 2011-07-26 23:02:59 UTC
Steps to verify
Run setup-ds.pl
 ==============================================================================
 Your system has been scanned for potential problems, missing patches,
 etc.  The following output is a report of the items found that need to
 be addressed before running this software in a production
 environment.

 389 Directory Server system tuning analysis version 10-AUGUST-2007.

If no errors nor warnings are detected, the default value would be [yes]:
 Would you like to continue? [yes]: 

If some error or warnings are detected, e.g.,
 WARNING: There are only 1024 file descriptors (soft limit) available, 
 which limit the number of simultaneous connections.  

this WARNING message is printed and the default prompt would be [no]:
 WARNING  : The warning messages above should be reviewed before proceeding.

 Would you like to continue? [no]:

Comment 10 Amita Sharma 2011-07-28 09:21:11 UTC
[root@amsharma tmp]# setup-ds.pl

==============================================================================
Default is yes here.
==========================
This program will set up the 389 Directory Server.

It is recommended that you have "root" privilege to set up the software.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" or the word "back" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the setup program

Would you like to continue with set up? [yes]: 

=====================
Default is no here.
======================
Your system has been scanned for potential problems, missing patches,
etc.  The following output is a report of the items found that need to
be addressed before running this software in a production
environment.

389 Directory Server system tuning analysis version 10-AUGUST-2007.

NOTICE : System is x86_64-unknown-linux2.6.32-131.6.1.el6.x86_64 (1 processor).

NOTICE : The net.ipv4.tcp_keepalive_time is set to 7200000 milliseconds
(120 minutes).  This may cause temporary server congestion from lost
client connections.

WARNING: There are only 1024 file descriptors (hard limit) available, which
limit the number of simultaneous connections.  

WARNING: There are only 1024 file descriptors (soft limit) available, which
limit the number of simultaneous connections.  

WARNING  : The warning messages above should be reviewed before proceeding.

Would you like to continue? [no]: 
Exiting . . .
Log file is '/tmp/setupCZ5NlK.log'

Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.